Module | Rake::Win32
In: | lib/rake/win32.rb

Win 32 interface methods for Rake. Windows specific functionality will be placed here to collect that knowledge in one spot.

### Methods

normalize rake_system windows?

### Classes and Modules

Class Rake::Win32::Win32HomeError

### Public Class methods

normalize(path)

Normalize a win32 path so that the slashes are all forward slashes.

[Source]

        # File lib/rake/win32.rb, line 48
    48:       def normalize(path)
    49:         path.gsub(/\\/, '/')
    50:       end

rake_system(*cmd)

Run a command line on windows.

[Source]

        # File lib/rake/win32.rb, line 19
    19:       def rake_system(*cmd)
    20:         if cmd.size == 1
    21:           system("call #{cmd}")
    22:         else
    23:           system(*cmd)
    24:         end
    25:       end

windows?()

True if running on a windows system.

[Source]

        # File lib/rake/win32.rb, line 14
    14:       def windows?
    15:         Config::CONFIG['host_os'] =~ /mswin/
    16:       end

[Validate]